Package owl.grammar

## Interface LTLParserListener

- All Superinterfaces:
    `org.antlr.v4.runtime.tree.ParseTreeListener`
  All Known Implementing Classes:
    `LTLParserBaseListener`

      public interface LTLParserListener
      extends org.antlr.v4.runtime.tree.ParseTreeListener

  This interface defines a complete listener for a parse tree produced by `LTLParser`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `enterAndExpression​(LTLParser.AndExpressionContext ctx)` | Enter a parse tree produced by `LTLParser.andExpression()`.
    `void` | `enterBinaryOp​(LTLParser.BinaryOpContext ctx)` | Enter a parse tree produced by `LTLParser.binaryOp()`.
    `void` | `enterBinaryOperation​(LTLParser.BinaryOperationContext ctx)` | Enter a parse tree produced by the `binaryOperation` labeled alternative in `LTLParser.binaryExpression()`.
    `void` | `enterBinaryUnary​(LTLParser.BinaryUnaryContext ctx)` | Enter a parse tree produced by the `binaryUnary` labeled alternative in `LTLParser.binaryExpression()`.
    `void` | `enterBool​(LTLParser.BoolContext ctx)` | Enter a parse tree produced by `LTLParser.bool()`.
    `void` | `enterBoolean​(LTLParser.BooleanContext ctx)` | Enter a parse tree produced by the `boolean` labeled alternative in `LTLParser.atomExpression()`.
    `void` | `enterComparison​(LTLParser.ComparisonContext ctx)` | Enter a parse tree produced by `LTLParser.comparison()`.
    `void` | `enterDoubleQuotedVariable​(LTLParser.DoubleQuotedVariableContext ctx)` | Enter a parse tree produced by the `doubleQuotedVariable` labeled alternative in `LTLParser.atomExpression()`.
    `void` | `enterExpression​(LTLParser.ExpressionContext ctx)` | Enter a parse tree produced by `LTLParser.expression()`.
    `void` | `enterFormula​(LTLParser.FormulaContext ctx)` | Enter a parse tree produced by `LTLParser.formula()`.
    `void` | `enterFraction​(LTLParser.FractionContext ctx)` | Enter a parse tree produced by the `fraction` labeled alternative in `LTLParser.frequencySpec()`.
    `void` | `enterFrequencyOp​(LTLParser.FrequencyOpContext ctx)` | Enter a parse tree produced by `LTLParser.frequencyOp()`.
    `void` | `enterNested​(LTLParser.NestedContext ctx)` | Enter a parse tree produced by the `nested` labeled alternative in `LTLParser.atomExpression()`.
    `void` | `enterOrExpression​(LTLParser.OrExpressionContext ctx)` | Enter a parse tree produced by `LTLParser.orExpression()`.
    `void` | `enterProbability​(LTLParser.ProbabilityContext ctx)` | Enter a parse tree produced by the `probability` labeled alternative in `LTLParser.frequencySpec()`.
    `void` | `enterSingleQuotedVariable​(LTLParser.SingleQuotedVariableContext ctx)` | Enter a parse tree produced by the `singleQuotedVariable` labeled alternative in `LTLParser.atomExpression()`.
    `void` | `enterUnaryAtom​(LTLParser.UnaryAtomContext ctx)` | Enter a parse tree produced by the `unaryAtom` labeled alternative in `LTLParser.unaryExpression()`.
    `void` | `enterUnaryOp​(LTLParser.UnaryOpContext ctx)` | Enter a parse tree produced by `LTLParser.unaryOp()`.
    `void` | `enterUnaryOperation​(LTLParser.UnaryOperationContext ctx)` | Enter a parse tree produced by the `unaryOperation` labeled alternative in `LTLParser.unaryExpression()`.
    `void` | `enterVariable​(LTLParser.VariableContext ctx)` | Enter a parse tree produced by the `variable` labeled alternative in `LTLParser.atomExpression()`.
    `void` | `exitAndExpression​(LTLParser.AndExpressionContext ctx)` | Exit a parse tree produced by `LTLParser.andExpression()`.
    `void` | `exitBinaryOp​(LTLParser.BinaryOpContext ctx)` | Exit a parse tree produced by `LTLParser.binaryOp()`.
    `void` | `exitBinaryOperation​(LTLParser.BinaryOperationContext ctx)` | Exit a parse tree produced by the `binaryOperation` labeled alternative in `LTLParser.binaryExpression()`.
    `void` | `exitBinaryUnary​(LTLParser.BinaryUnaryContext ctx)` | Exit a parse tree produced by the `binaryUnary` labeled alternative in `LTLParser.binaryExpression()`.
    `void` | `exitBool​(LTLParser.BoolContext ctx)` | Exit a parse tree produced by `LTLParser.bool()`.
    `void` | `exitBoolean​(LTLParser.BooleanContext ctx)` | Exit a parse tree produced by the `boolean` labeled alternative in `LTLParser.atomExpression()`.
    `void` | `exitComparison​(LTLParser.ComparisonContext ctx)` | Exit a parse tree produced by `LTLParser.comparison()`.
    `void` | `exitDoubleQuotedVariable​(LTLParser.DoubleQuotedVariableContext ctx)` | Exit a parse tree produced by the `doubleQuotedVariable` labeled alternative in `LTLParser.atomExpression()`.
    `void` | `exitExpression​(LTLParser.ExpressionContext ctx)` | Exit a parse tree produced by `LTLParser.expression()`.
    `void` | `exitFormula​(LTLParser.FormulaContext ctx)` | Exit a parse tree produced by `LTLParser.formula()`.
    `void` | `exitFraction​(LTLParser.FractionContext ctx)` | Exit a parse tree produced by the `fraction` labeled alternative in `LTLParser.frequencySpec()`.
    `void` | `exitFrequencyOp​(LTLParser.FrequencyOpContext ctx)` | Exit a parse tree produced by `LTLParser.frequencyOp()`.
    `void` | `exitNested​(LTLParser.NestedContext ctx)` | Exit a parse tree produced by the `nested` labeled alternative in `LTLParser.atomExpression()`.
    `void` | `exitOrExpression​(LTLParser.OrExpressionContext ctx)` | Exit a parse tree produced by `LTLParser.orExpression()`.
    `void` | `exitProbability​(LTLParser.ProbabilityContext ctx)` | Exit a parse tree produced by the `probability` labeled alternative in `LTLParser.frequencySpec()`.
    `void` | `exitSingleQuotedVariable​(LTLParser.SingleQuotedVariableContext ctx)` | Exit a parse tree produced by the `singleQuotedVariable` labeled alternative in `LTLParser.atomExpression()`.
    `void` | `exitUnaryAtom​(LTLParser.UnaryAtomContext ctx)` | Exit a parse tree produced by the `unaryAtom` labeled alternative in `LTLParser.unaryExpression()`.
    `void` | `exitUnaryOp​(LTLParser.UnaryOpContext ctx)` | Exit a parse tree produced by `LTLParser.unaryOp()`.
    `void` | `exitUnaryOperation​(LTLParser.UnaryOperationContext ctx)` | Exit a parse tree produced by the `unaryOperation` labeled alternative in `LTLParser.unaryExpression()`.
    `void` | `exitVariable​(LTLParser.VariableContext ctx)` | Exit a parse tree produced by the `variable` labeled alternative in `LTLParser.atomExpression()`.

    - ### Methods inherited from interface org.antlr.v4.runtime.tree.ParseTreeListener

      `enterEveryRule, exitEveryRule, visitErrorNode, visitTerminal`

- - ### Method Detail

    - #### enterFormula

          void enterFormula​(LTLParser.FormulaContext ctx)

      Enter a parse tree produced by `LTLParser.formula()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitFormula

          void exitFormula​(LTLParser.FormulaContext ctx)

      Exit a parse tree produced by `LTLParser.formula()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterExpression

          void enterExpression​(LTLParser.ExpressionContext ctx)

      Enter a parse tree produced by `LTLParser.expression()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitExpression

          void exitExpression​(LTLParser.ExpressionContext ctx)

      Exit a parse tree produced by `LTLParser.expression()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterOrExpression

          void enterOrExpression​(LTLParser.OrExpressionContext ctx)

      Enter a parse tree produced by `LTLParser.orExpression()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitOrExpression

          void exitOrExpression​(LTLParser.OrExpressionContext ctx)

      Exit a parse tree produced by `LTLParser.orExpression()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterAndExpression

          void enterAndExpression​(LTLParser.AndExpressionContext ctx)

      Enter a parse tree produced by `LTLParser.andExpression()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitAndExpression

          void exitAndExpression​(LTLParser.AndExpressionContext ctx)

      Exit a parse tree produced by `LTLParser.andExpression()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterBinaryOperation

          void enterBinaryOperation​(LTLParser.BinaryOperationContext ctx)

      Enter a parse tree produced by the `binaryOperation` labeled alternative in `LTLParser.binaryExpression()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitBinaryOperation

          void exitBinaryOperation​(LTLParser.BinaryOperationContext ctx)

      Exit a parse tree produced by the `binaryOperation` labeled alternative in `LTLParser.binaryExpression()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterBinaryUnary

          void enterBinaryUnary​(LTLParser.BinaryUnaryContext ctx)

      Enter a parse tree produced by the `binaryUnary` labeled alternative in `LTLParser.binaryExpression()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitBinaryUnary

          void exitBinaryUnary​(LTLParser.BinaryUnaryContext ctx)

      Exit a parse tree produced by the `binaryUnary` labeled alternative in `LTLParser.binaryExpression()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterUnaryOperation

          void enterUnaryOperation​(LTLParser.UnaryOperationContext ctx)

      Enter a parse tree produced by the `unaryOperation` labeled alternative in `LTLParser.unaryExpression()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitUnaryOperation

          void exitUnaryOperation​(LTLParser.UnaryOperationContext ctx)

      Exit a parse tree produced by the `unaryOperation` labeled alternative in `LTLParser.unaryExpression()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterUnaryAtom

          void enterUnaryAtom​(LTLParser.UnaryAtomContext ctx)

      Enter a parse tree produced by the `unaryAtom` labeled alternative in `LTLParser.unaryExpression()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitUnaryAtom

          void exitUnaryAtom​(LTLParser.UnaryAtomContext ctx)

      Exit a parse tree produced by the `unaryAtom` labeled alternative in `LTLParser.unaryExpression()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterBoolean

          void enterBoolean​(LTLParser.BooleanContext ctx)

      Enter a parse tree produced by the `boolean` labeled alternative in `LTLParser.atomExpression()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitBoolean

          void exitBoolean​(LTLParser.BooleanContext ctx)

      Exit a parse tree produced by the `boolean` labeled alternative in `LTLParser.atomExpression()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterVariable

          void enterVariable​(LTLParser.VariableContext ctx)

      Enter a parse tree produced by the `variable` labeled alternative in `LTLParser.atomExpression()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitVariable

          void exitVariable​(LTLParser.VariableContext ctx)

      Exit a parse tree produced by the `variable` labeled alternative in `LTLParser.atomExpression()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterSingleQuotedVariable

          void enterSingleQuotedVariable​(LTLParser.SingleQuotedVariableContext ctx)

      Enter a parse tree produced by the `singleQuotedVariable` labeled alternative in `LTLParser.atomExpression()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitSingleQuotedVariable

          void exitSingleQuotedVariable​(LTLParser.SingleQuotedVariableContext ctx)

      Exit a parse tree produced by the `singleQuotedVariable` labeled alternative in `LTLParser.atomExpression()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterDoubleQuotedVariable

          void enterDoubleQuotedVariable​(LTLParser.DoubleQuotedVariableContext ctx)

      Enter a parse tree produced by the `doubleQuotedVariable` labeled alternative in `LTLParser.atomExpression()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitDoubleQuotedVariable

          void exitDoubleQuotedVariable​(LTLParser.DoubleQuotedVariableContext ctx)

      Exit a parse tree produced by the `doubleQuotedVariable` labeled alternative in `LTLParser.atomExpression()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterNested

          void enterNested​(LTLParser.NestedContext ctx)

      Enter a parse tree produced by the `nested` labeled alternative in `LTLParser.atomExpression()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitNested

          void exitNested​(LTLParser.NestedContext ctx)

      Exit a parse tree produced by the `nested` labeled alternative in `LTLParser.atomExpression()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterUnaryOp

          void enterUnaryOp​(LTLParser.UnaryOpContext ctx)

      Enter a parse tree produced by `LTLParser.unaryOp()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitUnaryOp

          void exitUnaryOp​(LTLParser.UnaryOpContext ctx)

      Exit a parse tree produced by `LTLParser.unaryOp()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterBinaryOp

          void enterBinaryOp​(LTLParser.BinaryOpContext ctx)

      Enter a parse tree produced by `LTLParser.binaryOp()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitBinaryOp

          void exitBinaryOp​(LTLParser.BinaryOpContext ctx)

      Exit a parse tree produced by `LTLParser.binaryOp()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterBool

          void enterBool​(LTLParser.BoolContext ctx)

      Enter a parse tree produced by `LTLParser.bool()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitBool

          void exitBool​(LTLParser.BoolContext ctx)

      Exit a parse tree produced by `LTLParser.bool()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterFrequencyOp

          void enterFrequencyOp​(LTLParser.FrequencyOpContext ctx)

      Enter a parse tree produced by `LTLParser.frequencyOp()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitFrequencyOp

          void exitFrequencyOp​(LTLParser.FrequencyOpContext ctx)

      Exit a parse tree produced by `LTLParser.frequencyOp()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterFraction

          void enterFraction​(LTLParser.FractionContext ctx)

      Enter a parse tree produced by the `fraction` labeled alternative in `LTLParser.frequencySpec()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitFraction

          void exitFraction​(LTLParser.FractionContext ctx)

      Exit a parse tree produced by the `fraction` labeled alternative in `LTLParser.frequencySpec()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterProbability

          void enterProbability​(LTLParser.ProbabilityContext ctx)

      Enter a parse tree produced by the `probability` labeled alternative in `LTLParser.frequencySpec()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitProbability

          void exitProbability​(LTLParser.ProbabilityContext ctx)

      Exit a parse tree produced by the `probability` labeled alternative in `LTLParser.frequencySpec()`.
      Parameters:
        `ctx` - the parse tree

    - #### enterComparison

          void enterComparison​(LTLParser.ComparisonContext ctx)

      Enter a parse tree produced by `LTLParser.comparison()`.
      Parameters:
        `ctx` - the parse tree

    - #### exitComparison

          void exitComparison​(LTLParser.ComparisonContext ctx)

      Exit a parse tree produced by `LTLParser.comparison()`.
      Parameters:
        `ctx` - the parse tree